# Class BindingSpecifier.CoreSpecifier

java.lang.Object
com.sun.grid.jsv.BindingSpecifier.CoreSpecifier

Enclosing class:
  `BindingSpecifier`

public final class BindingSpecifier.CoreSpecifier extends Object

Since:
  6.2u5

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`core`
`int`
`socket`

## Constructor Summary

Constructors
Constructor
Description
`CoreSpecifier()`
`CoreSpecifier(int socket, int core)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### socket

public int socket

### core

public int core

## Constructor Details

### CoreSpecifier

public CoreSpecifier(int socket, int core)

### CoreSpecifier

public CoreSpecifier()

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`